import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
export interface IRecord {
    sound: string;
    mimetype: string;
    startTime: string;
    endTime: string;
    duration: number;
}
/**
 * Downloads all records from the deeplinks database.
 * @param {DeepClient} deep - The DeepClient instance.
 */
export declare function downloadRecords(deep: DeepClient): Promise<IRecord[]>;
